> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Ticket

> Send a Ticket to Channel API




## OpenAPI

````yaml /openapi/scx/channel.json post /v1/channel/ticket
openapi: 3.0.2
info:
  title: JTL-Channel API
  version: 1.0.0
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: >
    JTL-Channel API is a REST-based API that helps a Channel Integrator to
    connect Marketplace with the JTL-Wawi 

    ERP System.


    # Key Features


    With the JTL-Channel API, you can:

      * Describe connected Marketplace Data Structure by providing Category and Attribute Data
      * Manage Product and Offer Listings
      * Manage Orders 
      * Handle the Post Order Process

    # Development Guide


    There is a detailed development guide available at
    [developer.jtl-software.com](https://developer.jtl-software.com/products/marketplaces/scx-channel-api/change_log).
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox
  - url: https://scx.api.jtl-software.com
    description: Production
security: []
tags:
  - name: Seller
    description: |
      Seller Management
  - name: Channel
    description: Meta channel routes
  - name: Notification
    description: Channel notifications
  - name: Supported Prices
    description: Price type management
  - name: Meta
    description: meta
  - name: Attributes
    description: Channel attributes
  - name: Categories
    description: Channel categories
  - name: Order
    description: Orders
  - name: Return
    description: Order returns
  - name: Events
    description: SCX events
  - name: Offer
    description: Channel offers
  - name: Report
    description: SCX reports
  - name: Ticket
    description: Channel tickets
  - name: Stock Updates
    description: Stock update operations
paths:
  /v1/channel/ticket:
    post:
      tags:
        - Ticket
      summary: Create Ticket
      description: |
        Send a Ticket to Channel API
      operationId: CreateTicket
      requestBody:
        $ref: '#/components/requestBodies/CreateTicket'
      responses:
        '201':
          description: Ticket created
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '404':
          $ref: '#/components/responses/BadRequest'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - ChannelAuth: []
components:
  requestBodies:
    CreateTicket:
      description: >-
        Customer service ticket created on the channel side that should be
        forwarded to the seller.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Ticket'
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: VAL100
                message: Required field sellerId not found
                severity: error
                hint: Check the field `sellerId` — it must be a non-empty string.
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    Ticket:
      title: Ticket
      type: object
      required:
        - sellerId
        - ticketId
        - topic
        - createdAt
        - from
        - subject
        - message
      properties:
        sellerId:
          $ref: '#/components/schemas/SellerId'
        ticketId:
          $ref: '#/components/schemas/TicketId'
        topic:
          $ref: '#/components/schemas/Topic'
        reference:
          $ref: '#/components/schemas/TicketReference'
        replyRequested:
          type: boolean
          example: true
          default: true
        createdAt:
          type: string
          format: date-time
        from:
          $ref: '#/components/schemas/TicketFrom'
        subject:
          type: string
          minLength: 1
          maxLength: 1024
          example: Pod bay door seems to be locked.
        message:
          type: string
          minLength: 1
          maxLength: 1024
          example: Open the pod bay doors HAL.
        attachment:
          type: array
          minItems: 0
          maxItems: 10
          items:
            $ref: '#/components/schemas/TicketAttachment'
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    SellerId:
      description: >
        A unique Id identify a Seller on a specific SalesChannel. The SellerId
        is generated

        from the Channel itself during the Seller SignUp Process.
      type: string
      example: '4711'
      pattern: ^\w{1,50}$
    TicketId:
      type: string
      description: |
        Unique identifcation for Ticket Id
      minLength: 1
      maxLength: 256
      example: CASE-01071982
    Topic:
      type: string
      enum:
        - QUESTION
        - FEEDBACK
        - DELIVERY
        - RETURN
        - REFUND
        - INCIDENT
    TicketReference:
      title: TicketReference
      type: object
      nullable: true
      required:
        - type
        - id
      properties:
        type:
          type: string
          example: ORDERID
          enum:
            - OFFER
            - CHANNELOFFER
            - ORDERID
            - ORDERITEMID
        id:
          type: string
          example: '19820701'
    TicketFrom:
      title: TicketFrom
      type: object
      required:
        - role
      properties:
        role:
          type: string
          enum:
            - BUYER
            - SELLER
            - CHANNEL
          example: BUYER
        name:
          type: string
          maxLength: 100
          example: Dave
    TicketAttachment:
      title: TicketAttachment
      type: object
      required:
        - filename
        - contentType
      properties:
        filename:
          type: string
          minLength: 1
          maxLength: 256
          example: RedDot.png
        contentType:
          type: string
          minLength: 1
          maxLength: 128
          example: image/png
  securitySchemes:
    ChannelAuth:
      description: >
        As a Channel Integrator you will receive a API Refresh Token. With such
        a Refresh Token you

        need to request an Access Token with a limited Lifetime (see POST
        /v1/auth). This Access Token

        must be provided as a Bearer Token in the Authorization Header with
        every request.
      type: http
      scheme: bearer
      bearerFormat: JWT

````